Summary:     An implementation of the CORBA 2.2 standard Object Request Broker.
Name:        mico
Version:     2.3.1
Release:     1
Source:      http://www.mico.org/mico-%{PACKAGE_VERSION}.tar.bz2
Copyright:   GPL/LGPL
URL:         http://www.mico.org
Group: 	     System Environment/Libraries
Packager:    linuxkid <linux@peanutlinux.org>
Buildroot:   /var/tmp/%{name}-buildroot
Prereq:      QT-2.3.0

%description
MICO (MICO Is CORBA) is a freely available and fully compliant
implementation of the CORBA 2.2 standard Object Request Broker.  The
mico package contains the shared libraries and demons needed to run
MICO applications.  For development, you'll also need mico-devel, the
IDL compiler and headers, and possibly mico-static, the static
libraries.

%package     devel
Summary:     IDL compiler and headers for writing MICO applications.
Group: 	     Development/Tools
Requires:    mico = %{PACKAGE_VERSION}
Requires:    binutils >= 2.11.90.0.8, gccg++ >= 2.95.3

%description devel
MICO (MICO Is CORBA) is a freely available and fully compliant
implementation of the CORBA 2.2 standard Object Request Broker.  The
mico-devel package contains the IDL compiler and headers for writing
MICO applications.  You'll also need the mico package, which contains
the shared libraries and demons needed to run MICO applications, and
possibly mico-static, the static libraries.

%package     infoman
Summary:     MICO's manual, docs & instruction page(s).
Group:       Programming/ManPages
%description infoman
Information & Documentaion with manual pages.

%prep
%setup -q -n mico

%build
CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags`" CXXFLAGS="$RPM_OPT_FLAGS -fexceptions" \
	./configure --prefix=/usr \
	        --host=i386-pc-linux \
		--build=i386-pc-linux \
		--target=i386-pc-linux \
		--enable-namespace \
		--enable-final \
		--disable-mini-stl \
		--with-qt=/usr/lib/qt-2.3.0 \
		--with-gtk \
		--with-x 
make

%install
rm -rf ${RPM_BUILD_ROOT}

make prefix=$RPM_BUILD_ROOT/usr install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/bin/containmentd
/usr/bin/iordump
/usr/bin/noded
/usr/bin/eventd
/usr/bin/imr
/usr/bin/ird
/usr/bin/micod
/usr/bin/nsadmin
/usr/bin/nsd
/usr/bin/propertyd
/usr/bin/proxyd
/usr/bin/randomd
/usr/bin/referenced
/usr/bin/timed
/usr/bin/traderd
/usr/bin/traversald
/usr/lib/lib*.so*

%files devel
%defattr(-,root,root)
/usr/bin/idl
/usr/bin/mico-c++
/usr/bin/mico-ld
/usr/bin/mico-ar
/usr/bin/mico-shc++
/usr/bin/mico-shld
/usr/bin/mico-cpp
/usr/include/CORBA.h
/usr/include/CORBA-SMALL.h
/usr/include/mico
/usr/include/ministl
/usr/lib/*.a

%files infoman
%doc $RPM_BUILD_ROOT/usr/lib/mico-setup.*
%doc CHANGES LICENSE LICENSE-GPL LICENSE-LGPL TODO
%doc $RPM_BUILD_ROOT/usr/doc/mico/manual.ps
%doc $RPM_BUILD_ROOT/usr/doc/mico/examples
/usr/man/man1/imr.1*
/usr/man/man1/idl.1*
/usr/man/man1/nsadmin.1*
/usr/man/man5/micorc.5*
/usr/man/man8/ird.8*
/usr/man/man8/micod.8*
/usr/man/man8/nsd.8*
